- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Friends

# QRegion Class Reference

Search for all occurrences

## Detailed Description

Definition at line 68 of file qregion.h.

`#include <qregion.h>`

List of all members.

## Classes
struct | QRegionData
## Public Types
enum | RegionType { Rectangle, Ellipse }
## Public Member Functions
| QRegion ()
| QRegion (int x, int y, int w, int h, RegionType t=Rectangle)
| QRegion (const QRect &r, RegionType t=Rectangle)
| QRegion (const QPolygon &pa, Qt::FillRule fillRule=Qt::OddEvenFill)
| QRegion (const QRegion &region)
| QRegion (const QBitmap &bitmap)
| ~QRegion ()
QRegion & | operator= (const QRegion &)
bool | isEmpty () const
bool | contains (const QPoint &p) const
bool | contains (const QRect &r) const
void | translate (int dx, int dy)
void | translate (const QPoint &p)
QRegion | translated (int dx, int dy) const
QRegion | translated (const QPoint &p) const
QRegion | unite (const QRegion &r) const
QRegion | unite (const QRect &r) const
QRegion | intersect (const QRegion &r) const
QRegion | intersect (const QRect &r) const
QRegion | subtract (const QRegion &r) const
QRegion | eor (const QRegion &r) const
QRegion | united (const QRegion &r) const
QRegion | united (const QRect &r) const
QRegion | intersected (const QRegion &r) const
QRegion | intersected (const QRect &r) const
QRegion | subtracted (const QRegion &r) const
QRegion | xored (const QRegion &r) const
bool | intersects (const QRegion &r) const
bool | intersects (const QRect &r) const
QRect | boundingRect () const
QVector< QRect > | rects () const
void | setRects (const QRect *rect, int num)
int | rectCount () const
const QRegion | operator| (const QRegion &r) const
const QRegion | operator+ (const QRegion &r) const
const QRegion | operator+ (const QRect &r) const
const QRegion | operator& (const QRegion &r) const
const QRegion | operator& (const QRect &r) const
const QRegion | operator- (const QRegion &r) const
const QRegion | operator^ (const QRegion &r) const
QRegion & | operator|= (const QRegion &r)
QRegion & | operator+= (const QRegion &r)
QRegion & | operator+= (const QRect &r)
QRegion & | operator&= (const QRegion &r)
QRegion & | operator&= (const QRect &r)
QRegion & | operator-= (const QRegion &r)
QRegion & | operator^= (const QRegion &r)
bool | operator== (const QRegion &r) const
bool | operator!= (const QRegion &r) const
| operator QVariant () const
## Friends
struct | QRegionPrivate
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &, const QRegion &)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &, QRegion &)
bool | qt_region_strictContains (const QRegion &region, const QRect &rect)

## Member Enumeration Documentation

enum RegionType

Search for all occurrences

Enumerator:

  Rectangle | Search for all occurrences
  Ellipse | Search for all occurrences

Definition at line 71 of file qregion.h.

    { Rectangle, Ellipse };

## Constructor & Destructor Documentation

QRegion | ( |  | ) |

QRegion | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | RegionType | t = `Rectangle`
| ) |  |

QRegion | ( | const QRect & | r,
|  | RegionType | t = `Rectangle`
| ) |  |

QRegion | ( | const QPolygon & | pa,
|  | Qt::FillRule | fillRule = `Qt::OddEvenFill`
| ) |  |

QRegion | ( | const QRegion & | region | ) |

QRegion | ( | const QBitmap & | bitmap | ) |

~QRegion | ( |  | ) |

## Member Function Documentation

QRegion& operator= | ( | const QRegion & |  | ) |

bool isEmpty | ( |  | ) | const

Search for all occurrences

bool contains | ( | const QPoint & | p | ) | const

Search for all occurrences

bool contains | ( | const QRect & | r | ) | const

Search for all occurrences

void translate | ( | int | dx,
|  | int | dy
| ) |  |

Search for all occurrences

void translate | ( | const QPoint & | p | ) | `[inline]`

Search for all occurrences

Definition at line 94 of file qregion.h.

    { translate(p.x(), p.y()); }

QRegion translated | ( | int | dx,
|  | int | dy
| ) |  | const

Search for all occurrences

QRegion translated | ( | const QPoint & | p | ) | const `[inline]`

Search for all occurrences

Definition at line 96 of file qregion.h.

    { return translated(p.x(), p.y()); }

QRegion unite | ( | const QRegion & | r | ) | const

Search for all occurrences

QRegion unite | ( | const QRect & | r | ) | const

Search for all occurrences

QRegion intersect | ( | const QRegion & | r | ) | const

Search for all occurrences

QRegion intersect | ( | const QRect & | r | ) | const

Search for all occurrences

QRegion subtract | ( | const QRegion & | r | ) | const

Search for all occurrences

QRegion eor | ( | const QRegion & | r | ) | const

Search for all occurrences

QRegion united | ( | const QRegion & | r | ) | const `[inline]`

Search for all occurrences

Definition at line 106 of file qregion.h.

    { return unite(r); }

QRegion united | ( | const QRect & | r | ) | const `[inline]`

Search for all occurrences

Definition at line 107 of file qregion.h.

    { return unite(r); }

QRegion intersected | ( | const QRegion & | r | ) | const `[inline]`

Search for all occurrences

Definition at line 108 of file qregion.h.

    { return intersect(r); }

QRegion intersected | ( | const QRect & | r | ) | const `[inline]`

Search for all occurrences

Definition at line 109 of file qregion.h.

    { return intersect(r); }

QRegion subtracted | ( | const QRegion & | r | ) | const `[inline]`

Search for all occurrences

Definition at line 110 of file qregion.h.

    { return subtract(r); }

QRegion xored | ( | const QRegion & | r | ) | const `[inline]`

Search for all occurrences

Definition at line 111 of file qregion.h.

    { return eor(r); }

bool intersects | ( | const QRegion & | r | ) | const

Search for all occurrences

bool intersects | ( | const QRect & | r | ) | const

Search for all occurrences

QRect boundingRect | ( |  | ) | const

Search for all occurrences

QVector<QRect> rects | ( |  | ) | const

Search for all occurrences

void setRects | ( | const QRect * | rect,
|  | int | num
| ) |  |

Search for all occurrences

int rectCount | ( |  | ) | const

Search for all occurrences

const QRegion operator| | ( | const QRegion & | r | ) | const

const QRegion operator+ | ( | const QRegion & | r | ) | const

const QRegion operator+ | ( | const QRect & | r | ) | const

const QRegion operator& | ( | const QRegion & | r | ) | const

const QRegion operator& | ( | const QRect & | r | ) | const

const QRegion operator- | ( | const QRegion & | r | ) | const

const QRegion operator^ | ( | const QRegion & | r | ) | const

QRegion& operator|= | ( | const QRegion & | r | ) |

QRegion& operator+= | ( | const QRegion & | r | ) |

QRegion& operator+= | ( | const QRect & | r | ) |

QRegion& operator&= | ( | const QRegion & | r | ) |

QRegion& operator&= | ( | const QRect & | r | ) |

QRegion& operator-= | ( | const QRegion & | r | ) |

QRegion& operator^= | ( | const QRegion & | r | ) |

bool operator== | ( | const QRegion & | r | ) | const

bool operator!= | ( | const QRegion & | r | ) | const `[inline]`

Definition at line 140 of file qregion.h.

    { return !(operator==(r)); }

operator QVariant | ( |  | ) | const

## Friends And Related Function Documentation

friend struct QRegionPrivate `[friend]`

Search for all occurrences

Definition at line 191 of file qregion.h.

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QRegion & |
| ) |  | `[friend]`

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QRegion & |
| ) |  | `[friend]`

bool qt_region_strictContains | ( | const QRegion & | region,
|  | const QRect & | rect
| ) |  | `[friend]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qregion.h

QRegion QRegion QRegion QRegion QRegion QRegion QRegion QRegion QRegion QRegion
QRegion QRegion QRegion QRegion QRegion QRegion QRegion QRegion QRegion QRegion